<?php
/**
 * @filesource: py_system.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$id = "cvs";
$draw_option = "draw();";
$width = "800";
$height = "400";

$chart = new rgraph_chart("cvs", null, "Line");
$csv_data = $chart->getCSVdata ("dax_historic.csv", 1);

$data =  $csv_data[4];
$chart->set_data($data);

$options = new rgraph_options("default.ini");
$options->set_option("title", "DAX30 one Year Performance");

$options->set_option("filled", false);
$options->set_option("backgroundGridAutofit",false);
$options->set_option("xaxisTickmarksCount",15);
$options->set_option("yaxisScaleMin", 8000);

$options->set_option("labels", $csv_data[0]);
$options->set_option("scaleDecimals", 2);
$options->set_option("unitsPost", "€ ");
$options->set_tooltip($chart->get_data(), "#label# #val# points");
$options->set_option("xaxisLabelsAngle",35);

$options->set_option("xaxisLabels", $options->xlabelsteps($csv_data[0], 15));

$chart->set_options($options);

$rgraph_json = $chart->toString();

$canvas_style = "";
$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



