<?php
/**
 * @filesource: funnel.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$draw_option = "draw();";
$width = "400px";
$height = "550px";

$data = array(500,422,215,56,32,5);
$chart = new rgraph_chart("cvs", $data, "Funnel");

$options = new rgraph_options("default.ini");
$options->set_option("title", "Funnel chart with an interactive key");
$options->set_option("key", array ('Phone call','Interview','Selection','2nd Interview','Offer'));
$options->set_option("keyInteractive", true);
$options->set_option("keyPositionX", 300);
$options->set_option("marginRight", 125);

$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



