<?php
/**
 * @filesource: meter.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";

use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;
// rgraph chart
//($template = "default.php";
$template = "demo_meter.php";
$id = "cvs";
$draw_option = "draw()";
$width = "350";
$height = "350";
$tmp = explode("RGraph", $_SERVER['PHP_SELF']);
$host = $_SERVER['SERVER_NAME'] . $tmp[0];

if ($host == "localhost" . $tmp[0])
    $max = 2000;
else
    $max = 100;


$chart = new rgraph_chart("cvs", null, "Gauge");
$chart->set_min(0);
$chart->set_max($max);
$chart->set_value(0);

$options = new rgraph_options("gauge.ini");
$options->set_option("titleTop", "Your Download Speed");
$options->set_option("labelsValueUnitsPost", " Mbps");
$options->set_option("radius",140);
$options->set_option("max",$max);
//$options->set_option("colorsRanges",array( array(00,400, 'red'),array(400, 1000,'yellow'),array(1000, 2000,'green')));
$draw_option .= $options->getResponsiveFunction(array(0.3,990,1200, $width, $height));
$options->set_option("colorsRanges",array( array(0,400, 'rgba(255,0,0,0.6)' ),array(400, 800,'yellow'),array(800, 2000, 'rgba(0,255,0,0.6)' )));

$chart->set_options($options);
$rgraph_json = $chart->toPrettyString();

$event_script =  $chart->getEventScript("meter_event.js");
$chart_script = "";

include_once ($templates . $template);
?>




